View Issue Details

IDProjectCategoryView StatusLast Update
0002612SymmetricDSImprovementpublic2019-06-06 16:03
ReportergwilmerAssigned Tojaredfrees 
Prioritynormal 
Status resolvedResolutionfixed 
Product Version 
Target Version3.10.3Fixed in Version3.10.3 
Summary0002612: DBExport Should Allow Excluding Specific Columns From the Export
DescriptionDBExport Should Allow Excluding Specific Columns From the Export
Tagsdbimport/dbexport

Activities

elong

2019-05-22 15:27

developer   ~0001503

Jared, the implementation is already in DbExport class. Can you add the command line option for "--exclude-columns=[col1, col2, ...]" to dbexport? The files to change are DbExportCommand, symmetric-message.properties, and dbexport.ad.

jaredfrees

2019-06-04 14:14

developer   ~0001517

What about also including only certain columns? Like "--include-columns=[col1, col2, ...]"

Related Changesets

SymmetricDS: 3.7 45203c93

2016-05-24 22:03:58

gwilmer

Details Diff
0002612 - DBExport should allow exclude columns.
0002612
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbExport.java Diff File

SymmetricDS: 3.10 d56c8afb

2019-06-05 16:36:53

jfrees

Details Diff
0002612: DBExport Should Allow Excluding Specific Columns from the
Export

0002612
mod - symmetric-assemble/src/asciidoc/appendix/dbexport.ad Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbExportCommand.java Diff File
mod - symmetric-client/src/main/resources/symmetric-messages.properties Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbExport.java Diff File

Issue History

Date Modified Username Field Change
2016-05-24 22:02 gwilmer New Issue
2016-05-24 22:03 gwilmer Assigned To => gwilmer
2016-05-24 22:03 gwilmer Status new => assigned
2016-05-24 23:00 gwilmer Changeset attached => SymmetricDS 3.7 45203c93
2019-04-24 08:53 elong Tag Attached: dbimport/dbexport
2019-05-22 15:27 elong Assigned To gwilmer => jaredfrees
2019-05-22 15:27 elong Note Added: 0001503
2019-06-04 14:14 jaredfrees Note Added: 0001517
2019-06-05 16:39 jaredfrees Status assigned => resolved
2019-06-05 16:39 jaredfrees Resolution open => fixed
2019-06-05 16:39 jaredfrees Fixed in Version => 3.10.3
2019-06-05 17:00 jfrees Changeset attached => SymmetricDS 3.10 d56c8afb
2019-06-06 16:03 elong Target Version => 3.10.3